PDFSHOW(1)

NAME
mupdfshow - show objects and streams that make up a PDF document

SYNOPSIS
mupdfshow [options] file.pdf [xref] [trailer] [pages] [grep] [object-number...]

DESCRIPTION
mupdfshow pretty prints the objects and streams specified on the command line. Streams are decoded and non-printable characters are represented with a period. Specify objects with their number. The special names xref, trailer and pages will respectively print the cross reference, trailer, and the object numbers for all pages. The special name grep will print all objects in the file in a compact one-line format suitable for piping to grep.

OPTIONS

-b  Print streams as binary data and omit the object header.

-e  Print streams in their original encoded form.

-p password
    Use the specified password if the file is encrypted.

SEE ALSO
mupdf(1), mupdfclean(1). mupdfdraw(1).

AUTHOR
MuPDF was written by Tor Andersson <tor@ghostscript.com>. MuPDF is copyright 2006-2012 Artifex Software, Inc.